Get department

Get department. See the OpenAPI-defined parameters, request body, and responses below.

GET /Department/{id}

Get department. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Retorna o departamento identificado por id, incluindo a cota mensal e os IDs de seus membros.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Department/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Dados do departamento.application/json · DepartmentDto

Example response (200):

{
  "id": 0,
  "tenantId": 0,
  "name": "string",
  "monthlyQuotaAmount": 0,
  "tenantUserIds": [
    0
  ]
}

Data models

DepartmentDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
tenantIdinteger · int32No——
namestringYes—minLength: 1; maxLength: 300
monthlyQuotaAmountnumber · doubleNo—nullable; min: 0; max: 99999999999999
tenantUserIdsarray<integer · int32>No—nullable